Error
A valid request URL is required to generate request examples{
"versions": [
{
"id": "<string>",
"skill_id": "<string>",
"version": "1.0.0",
"skill_md_body": "<string>",
"frontmatter_snapshot": {},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"files": [
{
"path": "references/style-guide.md",
"mime_type": "text/markdown",
"content": "<string>",
"source_url": "<string>",
"dataurl": "data:text/plain;base64,SGVsbG8=",
"upload_id": "<string>",
"storage_key": "<string>",
"blob_id": "<string>",
"id": "<string>",
"skill_version_id": "<string>",
"file_size_bytes": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
],
"total": 123,
"limit": 123,
"offset": 123
}Skills
List skill versions
Returns immutable version snapshots for a skill.
GET
/
api
/
skills
/
{id}
/
versions
Error
A valid request URL is required to generate request examples{
"versions": [
{
"id": "<string>",
"skill_id": "<string>",
"version": "1.0.0",
"skill_md_body": "<string>",
"frontmatter_snapshot": {},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"files": [
{
"path": "references/style-guide.md",
"mime_type": "text/markdown",
"content": "<string>",
"source_url": "<string>",
"dataurl": "data:text/plain;base64,SGVsbG8=",
"upload_id": "<string>",
"storage_key": "<string>",
"blob_id": "<string>",
"id": "<string>",
"skill_version_id": "<string>",
"file_size_bytes": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
],
"total": 123,
"limit": 123,
"offset": 123
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Path Parameters
Skill ID
Query Parameters
Field to sort by.
Available options:
version, created_at Sort order.
Available options:
asc, desc Number of versions to return. Maximum 100.
Required range:
1 <= x <= 100Number of versions to skip.
Required range:
x >= 0Was this page helpful?
⌘I

